IF EXISTS (SELECT * FROM dbo.sysobjects WHERE ID = OBJECT_ID(N'GetWebClientPageState') AND XType = 'P')
BEGIN
	PRINT 'Dropping Procedure GetWebClientPageState'

	DROP PROCEDURE GetWebClientPageState
END
GO

PRINT 'Creating Procedure GetWebClientPageState'
GO

CREATE PROCEDURE GetWebClientPageState
	@StateKey UNIQUEIDENTIFIER
AS

SELECT	State
FROM	WebClientPageState
WHERE	StateKey = @StateKey

GO
