<%@ Page Language="C#" AutoEventWireup="false"  CodeFile="ClientMockup.aspx.cs" Inherits="ClientMockup" %>

<%@ Register Assembly="RadWindow.Net2" Namespace="Telerik.WebControls" TagPrefix="radW" %>
<%@ Register Assembly="RadToolbar.Net2" Namespace="Telerik.WebControls" TagPrefix="radTlb" %>
<%@ Register Assembly="RadComboBox.Net2" Namespace="Telerik.WebControls" TagPrefix="radC" %>
<%@ Register Assembly="RadAjax.Net2" Namespace="Telerik.WebControls" TagPrefix="radA" %>
<%@ Register Assembly="RadMenu.Net2" Namespace="Telerik.WebControls" TagPrefix="radM" %>
<%@ Register Assembly="RadTabStrip.Net2" Namespace="Telerik.WebControls" TagPrefix="radTS" %>
<%@ Register Assembly="RussellMason.Web.Application" Namespace="RussellMason.Web.UI.Office2007" TagPrefix="orb" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Client-side Examples</title>
    <link rel="Stylesheet" type="text/css" href="../../Office2007Client/Css/RibbonBar.css" />
    <script type="text/javascript" src="../../Office2007Client/Scripts/RibbonBar.js"></script>
    <script type="text/javascript" src="../../Office2007Client/Scripts/RibbonPreloader.js"></script>
    <script type="text/javascript">
		function customizeMenuHandler(sender, eventArgs)
		{
			if (eventArgs.Item.Value == "MinimizeRibbon")
			{
				checked = _applicationBar.getMinimizeRibbon();
				checked = !checked;
				imageUrl = "../../Images/Misc/Unchecked.gif";
				
				if (checked)
				{
					imageUrl = "../../Images/Misc/Checked.gif";					
				}
				
				eventArgs.Item.SetImageUrl(imageUrl);
				
				_applicationBar.setMinimizeRibbon(checked);
			}
		}
		
		function showSystemSecurityDialog()
		{
			windowManager = GetRadWindowManager();
			dialog = windowManager.GetWindowByName("SystemSecurityDialog");
			dialog.SetSize(310, 200);
			dialog.Show();
		}
		
		function windowResized()
		{
			windowWidth = document.documentElement.clientWidth;
			computerImage = document.getElementById("computerImage");
			
			if (windowWidth < 555)
			{
				if (largeImageVisible)
				{
					computerImage.src = "../../Images/Misc/ComputerManagementSmall.gif";
					largeImageVisible = false;
				}
			}
			else
			{
				if (!largeImageVisible)
				{
					computerImage.src = "../../Images/Misc/ComputerManagement.jpg";
					largeImageVisible = true;
				}
			}
		}
		
		largeImageVisible = true;
		associateObjectWithMultiEvent(window, "onresize", this, "windowResized");
    </script>
</head>
<body onload="preloadRibbonImages('../../Office2007Client/Images/');">
    <form id="form1" runat="server">
    <div>
			<orb:ApplicationBar ID="MainApplicationBar" runat="server" ApplicationName="Computer Management Console" DocumentName="My Computer" GenerateClientMember="True" ApplicationMenuID="MainApplicationMenu" RibbonTabStripID="TabStrip" CustomizeToolTip="Customize the Quick Access Toolbar" OnClientCustomizeClick="_applicationBar.showCustomizeMenu(event);" CustomizeMenuID="MinimizeMenu" ClientMemberName="_applicationBar">
				<PlaceHolder>
					<orb:QuickAccessRibbonButton ID="QuickAccessRibbonButton1" runat="server" DisabledImageUrl="../../Images/16x16/Empty.gif" EnabledImageUrl="../../Images/16x16/Virus.gif" ToolTip="Scan your computer for viruses" ClientMemberName="_quickAccessRibbonButton1" />
					<orb:QuickAccessRibbonButton ID="QuickAccessRibbonButton2" runat="server" DisabledImageUrl="../../Images/16x16/Empty.gif" EnabledImageUrl="../../Images/16x16/Printer.gif" ToolTip="Install or configure printers" ClientMemberName="_quickAccessRibbonButton2" />
					<orb:QuickAccessRibbonButton ID="QuickAccessRibbonButton3" runat="server" DisabledImageUrl="../../Images/16x16/Empty.gif" EnabledImageUrl="../../Images/16x16/Services.gif" ToolTip="Start and stop services" ClientMemberName="_quickAccessRibbonButton3" />
					<orb:QuickAccessRibbonButton ID="QuickAccessRibbonButton4" runat="server" DisabledImageUrl="../../Images/16x16/Empty.gif" EnabledImageUrl="../../Images/16x16/Help.gif" ToolTip="Help" ClientMemberName="_quickAccessRibbonButton4" />
				</PlaceHolder>
			</orb:ApplicationBar>
			<radTS:RadTabStrip ID="TabStrip" runat="server" Skin="Office2007" style="padding-left:50px;" MultiPageID="RadMultiPage1" SelectedIndex="0">
				<Tabs>
					<radTS:Tab runat="server" Text="Health Check" PageViewID="PageView1" ID="Tab1">
					</radTS:Tab>
					<radTS:Tab runat="server" Text="Security" PageViewID="PageView2" ID="Tab2">
					</radTS:Tab>
					<radTS:Tab runat="server" Text="Hardware" PageViewID="PageView3">
					</radTS:Tab>
					<radTS:Tab runat="server" Text="Software" PageViewID="PageView4">
					</radTS:Tab>
					<radTS:Tab runat="server" Text="System" PageViewID="PageView5">
					</radTS:Tab>
				</Tabs>
			</radTS:RadTabStrip>
			<radTS:RadMultiPage ID="RadMultiPage1" runat="server" CssClass="ribbonBar" SelectedIndex="0" Width="100%">
				<radTS:PageView ID="PageView1" runat="server" Width="100%" CssClass="ribbonPart">
					<orb:RibbonGroup ID="RibbonGroup1" runat="server" Text="Scans" Width="122px" ClientMemberName="_ribbonGroup1" CollapsedWidth="40" ExpandedWidth="107" CollapsedImageUrl="~/Images/16x16/Shield.gif">
						<PlaceHolder>
							<orb:LargeRibbonButton ID="LargeRibbonButton17" runat="server" Text="Virus" EnabledImageUrl="../../Images/32x32/Virus.gif" ToolTip="Scan your computer for viruses" ClientMemberName="_largeRibbonButton17" />
							<orb:LargeRibbonButton ID="LargeRibbonButton18" runat="server" Text="Spyware" Width="55px" EnabledImageUrl="../../Images/32x32/Spyware.gif" ToolTip="Scan your computer for spyware" ClientMemberName="_largeRibbonButton18" />
						</PlaceHolder>
					</orb:RibbonGroup>
					<orb:RibbonGroup ID="RibbonGroup2" runat="server" Text="Data Protection" Width="130px" ClientMemberName="_ribbonGroup2" CollapsedWidth="75" DropDownMenuAlignment="Right" ExpandedWidth="117" CollapseSequence="1" CollapsedImageUrl="~/Images/16x16/Data.gif">
						<PlaceHolder>
							<orb:LargeRibbonButton ID="LargeRibbonButton19" runat="server" Text="Backup" Width="50px" EnabledImageUrl="../../Images/32x32/Backup.gif" ToolTip="Backup your applications and files" ClientMemberName="_largeRibbonButton19" />
							<orb:LargeRibbonButton ID="LargeRibbonButton20" runat="server" Text="Recovery" Width="60px" EnabledImageUrl="../../Images/32x32/Restore.gif" ToolTip="Recover your applications and files from a backup" ClientMemberName="_largeRibbonButton20" />
						</PlaceHolder>
					</orb:RibbonGroup>
					<orb:RibbonGroup ID="RibbonGroup3" runat="server" Text="Maintenance" Width="110px" ClientMemberName="_ribbonGroup3" CollapsedWidth="70" ExpandedWidth="91" CollapseSequence="2" CollapsedImageUrl="~/Images/16x16/Maintenance.gif">
						<PlaceHolder>
							<orb:LargeRibbonButton ID="LargeRibbonButton21" runat="server" Text="Defragmenter" Width="85px" EnabledImageUrl="../../Images/32x32/Defragmenter.gif" ToolTip="Defragment your harddisk to improve performance" ClientMemberName="_largeRibbonButton21" />
						</PlaceHolder>
					</orb:RibbonGroup>
					<orb:RibbonGroup ID="RibbonGroup4" runat="server" Text="Wizards" Width="80px" ClientMemberName="_ribbonGroup4" CollapsedWidth="50" ExpandedWidth="66" CollapseSequence="3" CollapsedImageUrl="~/Images/16x16/Wizard.gif">
						<PlaceHolder>
							<orb:LargeRibbonButton ID="LargeRibbonButton22" runat="server" Text="Diagnose Problems" Width="60px" EnabledImageUrl="../../Images/32x32/Diagnose.gif" ToolTip="Find potential problems with your computer" ClientMemberName="_largeRibbonButton22" />
						</PlaceHolder>
					</orb:RibbonGroup>
				</radTS:PageView>
				<radTS:PageView ID="PageView2" runat="server" Width="100%" CssClass="ribbonPart">
					<orb:RibbonGroup ID="RibbonGroup5" runat="server" Text="System" Width="280px" ClientMemberName="_ribbonGroup5" DialogLauncherToolTip="Configure System Security Settings" ShowDialogLauncher="True" OnClientDialogLauncherClick="showSystemSecurityDialog();" CollapsedWidth="50" ExpandedWidth="247" CollapseSequence="1" CollapsedImageUrl="~/Images/16x16/SystemLog.gif">
						<PlaceHolder>
							<orb:LargeRibbonButton ID="LargeRibbonButton1" runat="server" Text="Groups" Width="50px" EnabledImageUrl="../../Images/32x32/Groups.gif" ToolTip="Administer user groups and permissions" ClientMemberName="_largeRibbonButton1" />
							<orb:LargeSplitRibbonButton ID="LargeSplitRibbonButton1" runat="server" Text="Users" EnabledImageUrl="../../Images/32x32/Users.gif" ToolTip="Administer users and their group membership" ClientMemberName="_largeSplitRibbonButton1" DropDownMenuID="UserMenu" OnClientBottomClick="_largeSplitRibbonButton1.showDropDownMenu(event);" />
							<orb:RibbonSeparator ID="RibbonSeparator1" runat="server" />
							<orb:LargeRibbonButton ID="LargeRibbonButton3" runat="server" Text="Shared Folders" Width="70px" DropDownMenuAlignment="Right" DropDownMenuID="SharesMenu" OnClientClick="_largeRibbonButton3.showDropDownMenu(event);" EnabledImageUrl="../../Images/32x32/SharedFolders.gif" ToolTip="View details on shared foleders" ClientMemberName="_largeRibbonButton3" />
							<orb:LargeRibbonButton ID="LargeRibbonButton4" runat="server" Text="Certificates" Width="70px" EnabledImageUrl="../../Images/32x32/Certificates.gif" ToolTip="Administer certificates" ClientMemberName="_largeRibbonButton4" />	
						</PlaceHolder>
					</orb:RibbonGroup>
					<orb:RibbonGroup ID="RibbonGroup6" runat="server" Text="Internet" Width="120px" ClientMemberName="_ribbonGroup6" CollapsedWidth="50" ExpandedWidth="94" CollapsedImageUrl="~/Images/16x16/InternetZone.gif">
						<PlaceHolder>
							<orb:ThreeRowLayout ID="ThreeRowLayout1" runat="server">
								<BottomPlaceHolder><orb:SmallRibbonButton ID="SmallRibbonButton3" runat="server" Text="CardSpace" Width="85px" EnabledImageUrl="../../Images/16x16/CardSpace.gif" ToolTip="Manage information cards for online security" ClientMemberName="_smallRibbonButton3" /></BottomPlaceHolder>
								<TopPlaceHolder><orb:SmallRibbonButton ID="SmallRibbonButton1" runat="server" Text="Firewall" Width="85px" EnabledImageUrl="../../Images/16x16/Firewall.gif" ToolTip="Configure your firewall against unauthorized access to your computer" ClientMemberName="_smallRibbonButton1" /></TopPlaceHolder>
								<CenterPlaceHolder><orb:SmallSplitRibbonButton ID="SmallSplitRibbonButton1" runat="server" Text="Zones" Width="85px" EnabledImageUrl="../../Images/16x16/Zones.gif" ToolTip="Configure Internet zones" ClientMemberName="_smallSplitRibbonButton1" DropDownMenuID="ZoneMenu" OnClientRightClick="_smallSplitRibbonButton1.showDropDownMenu(event);" /></CenterPlaceHolder>
							</orb:ThreeRowLayout>
						</PlaceHolder>
					</orb:RibbonGroup>
					<orb:RibbonGroup ID="RibbonGroup7" runat="server" Text="Wizards" Width="100px" ClientMemberName="_ribbonGroup7" CollapsedWidth="50" ExpandedWidth="81" CollapseSequence="2" CollapsedImageUrl="~/Images/16x16/Wizard.gif">
						<PlaceHolder>
							<orb:LargeRibbonButton ID="LargeRibbonButton5" runat="server" Text="Vunerability Assesment" Width="75px" EnabledImageUrl="../../Images/32x32/VulnerabilityAssessment.gif" ToolTip="Create a report of potential vunerabilities and how to improve security" ClientMemberName="_largeRibbonButton5" />
						</PlaceHolder>
					</orb:RibbonGroup>
				</radTS:PageView>
				<radTS:PageView ID="PageView3" runat="server" Width="100%" CssClass="ribbonPart">
					<orb:RibbonGroup ID="RibbonGroup8" runat="server" Text="System" Width="250px" ClientMemberName="_ribbonGroup8" CollapsedWidth="50" ExpandedWidth="237" CollapsedImageUrl="~/Images/16x16/SystemLog.gif">
						<PlaceHolder>
							<orb:LargeRibbonButton ID="LargeRibbonButton14" runat="server" Text="Display" Width="50px" EnabledImageUrl="../../Images/32x32/Display.gif" ToolTip="Change the appearance of your desktop" ClientMemberName="_largeRibbonButton14" />
							<orb:LargeRibbonButton ID="LargeRibbonButton15" runat="server" Text="Printers" Width="50px" EnabledImageUrl="../../Images/32x32/Printer.gif" ToolTip="Install or configure printers" ClientMemberName="_largeRibbonButton15" />
							<orb:LargeRibbonButton ID="LargeRibbonButton16" runat="server" Text="Network" Width="50px" EnabledImageUrl="../../Images/32x32/Network.gif" ToolTip="Connect to other computers or the Internet" ClientMemberName="_largeRibbonButton16" />
							<orb:ThreeRowLayout ID="ThreeRowLayout2" runat="server">
								<BottomPlaceHolder><orb:SmallRibbonButton ID="SmallRibbonButton6" runat="server" Text="Audio" Width="75px" EnabledImageUrl="../../Images/16x16/Audio.gif" ToolTip="Customize your audio settings" ClientMemberName="_smallRibbonButton6" /></BottomPlaceHolder>
								<TopPlaceHolder><orb:SmallRibbonButton ID="SmallRibbonButton4" runat="server" Text="Mouse" Width="75px" EnabledImageUrl="../../Images/16x16/Mouse.gif" ToolTip="Customize your mouse settings" ClientMemberName="_smallRibbonButton4" /></TopPlaceHolder>
								<CenterPlaceHolder><orb:SmallRibbonButton ID="SmallRibbonButton5" runat="server" Text="Keyboard" Width="75px" EnabledImageUrl="../../Images/16x16/Keyboard.gif" ToolTip="Customize your keyboard settings" ClientMemberName="_smallRibbonButton5" /></CenterPlaceHolder>
							</orb:ThreeRowLayout>
						</PlaceHolder>
					</orb:RibbonGroup>
					<orb:RibbonGroup ID="RibbonGroup9" runat="server" Text="Management" Width="120px" ClientMemberName="_ribbonGroup9" CollapsedWidth="70" ExpandedWidth="102" CollapsedImageUrl="~/Images/16x16/Management.gif">
						<PlaceHolder>
							<orb:LargeRibbonButton ID="LargeRibbonButton9" runat="server" Text="Disk" EnabledImageUrl="../../Images/32x32/Disk.gif" ToolTip="Manage your harddisk and external drives" ClientMemberName="_largeRibbonButton9" />
							<orb:LargeRibbonButton ID="LargeRibbonButton10" runat="server" Text="Mobile Devices" Width="50px" EnabledImageUrl="../../Images/32x32/MobileDevice.gif" ToolTip="Connect and configure mobile devices" ClientMemberName="_largeRibbonButton10" />
						</PlaceHolder>
					</orb:RibbonGroup>
					<orb:RibbonGroup ID="RibbonGroup10" runat="server" Text="Wizards" Width="220px" ClientMemberName="_ribbonGroup10" CollapsedWidth="50" ExpandedWidth="203" CollapsedImageUrl="~/Images/16x16/Wizard.gif">
						<PlaceHolder>
							<orb:LargeRibbonButton ID="LargeRibbonButton11" runat="server" Text="Add New Hardware" Width="65px" EnabledImageUrl="../../Images/32x32/AddHardware.gif" ToolTip="Install new hardware" ClientMemberName="_largeRibbonButton11" />
							<orb:LargeRibbonButton ID="LargeRibbonButton12" runat="server" Text="Compatibility" Width="70px" EnabledImageUrl="../../Images/32x32/Compatibility.gif" ToolTip="Test the compatibility of new hardware" ClientMemberName="_largeRibbonButton12" />
							<orb:LargeRibbonButton ID="LargeRibbonButton13" runat="server" Text="Diagnose Problems" Width="60px" EnabledImageUrl="../../Images/32x32/Diagnose.gif" ToolTip="Find potential problems with your computer hardware" ClientMemberName="_largeRibbonButton13" />
						</PlaceHolder>
					</orb:RibbonGroup>
				</radTS:PageView>
				<radTS:PageView ID="PageView4" runat="server" Width="100%" CssClass="ribbonPart">
					<orb:RibbonGroup ID="RibbonGroup11" runat="server" Text="System" Width="90px" ClientMemberName="_ribbonGroup11" CollapsedWidth="50" ExpandedWidth="71" CollapsedImageUrl="~/Images/16x16/SystemLog.gif">
						<PlaceHolder>
							<orb:LargeRibbonButton ID="LargeRibbonButton6" runat="server" Text="Automatic Updates"
								Width="65px" EnabledImageUrl="../../Images/32x32/AutomaticUpdates.gif" ToolTip="Set up Windows to install update as they become available" ClientMemberName="_largeRibbonButton6" />
						</PlaceHolder>
					</orb:RibbonGroup>
					<orb:RibbonGroup ID="RibbonGroup12" runat="server" Text="Applications" Width="335px" ClientMemberName="_ribbonGroup12" CollapsedWidth="70" ExpandedWidth="278" CollapsedImageUrl="~/Images/16x16/ApplicationLog.gif">
						<PlaceHolder>
							<orb:LargeRibbonButton ID="LargeRibbonButton28" runat="server" Text="Configure" ToolTip="Configure installed applications"
								Width="60px" EnabledImageUrl="../../Images/32x32/Configuration.gif" ClientMemberName="_largeRibbonButton28" />
							<orb:RibbonSeparator ID="RibbonSeparator2" runat="server" />
							<orb:ThreeRowLayout ID="ThreeRowLayout4" runat="server">
								<BottomPlaceHolder><div style="position: relative;"><orb:SmallRibbonButton ID="SmallRibbonButton10" runat="server" Width="23px" EnabledImageUrl="../../Images/16x16/Find.gif" ToolTip="Find the specified application" ClientMemberName="_smallRibbonButton10" style="position: absolute; right: 0px;" /><asp:TextBox ID="TextBox1" runat="server" CssClass="ribbonBarTextBox ribbonPart" Width="173px"></asp:TextBox></div></BottomPlaceHolder>
								<TopPlaceHolder><asp:Label ID="Label1" runat="server" Text="Find" CssClass="ribbonBarLabelTitle"></asp:Label></TopPlaceHolder>
								<CenterPlaceHolder><asp:CheckBox ID="CheckBox1" runat="server" CssClass="ribbonBarCheckBox" Text="My Computer" />&nbsp;&nbsp;<asp:CheckBox ID="CheckBox2" runat="server" CssClass="ribbonBarCheckBox" Text="Computers near me" />
								</CenterPlaceHolder>
							</orb:ThreeRowLayout>
						</PlaceHolder>
					</orb:RibbonGroup>
					<orb:RibbonGroup ID="RibbonGroup13" runat="server" Text="Wizards" Width="150px" ClientMemberName="_ribbonGroup13" CollapsedWidth="55" ExpandedWidth="142" CollapsedImageUrl="~/Images/16x16/Wizard.gif">
						<PlaceHolder>
							<orb:LargeRibbonButton ID="LargeRibbonButton7" runat="server" Width="65px" Text="Add New Software" EnabledImageUrl="../../Images/32x32/AddSoftware.gif" ToolTip="Install new software" ClientMemberName="_largeRibbonButton7" />
							<orb:LargeRibbonButton ID="LargeRibbonButton8" runat="server" Text="Compatibility"
								Width="70px" EnabledImageUrl="../../Images/32x32/Compatibility.gif" ToolTip="Check the compatibility of new software" ClientMemberName="_largeRibbonButton8" />
						</PlaceHolder>
					</orb:RibbonGroup>
				</radTS:PageView>
				<radTS:PageView ID="PageView5" runat="server" Width="100%" CssClass="ribbonPart">
					<orb:RibbonGroup ID="RibbonGroup14" runat="server" Text="Monitoring" Width="170px" ClientMemberName="_ribbonGroup14" CollapsedWidth="60" ExpandedWidth="152" CollapsedImageUrl="~/Images/16x16/TraceLog.gif">
						<PlaceHolder>
							<orb:LargeRibbonButton ID="LargeRibbonButton24" runat="server" DropDownMenuAlignment="Right"
								DropDownMenuID="EventMenu" Text="Event Viewer" Width="70px" OnClientClick="_largeRibbonButton24.showDropDownMenu(event);" EnabledImageUrl="../../Images/32x32/EventViewer.gif" ToolTip="View monitoring from Windows and other applications" ClientMemberName="_largeRibbonButton24" />
							<orb:LargeRibbonButton ID="LargeRibbonButton25" runat="server" DropDownMenuAlignment="Right"
								DropDownMenuID="PerformanceMenu" Text="Performance Logs" Width="75px" OnClientClick="_largeRibbonButton25.showDropDownMenu(event);" EnabledImageUrl="../../Images/32x32/PerformanceLogs.gif" ToolTip="View information on the performance of your computer" ClientMemberName="_largeRibbonButton25" />
						</PlaceHolder>
					</orb:RibbonGroup>
					<orb:RibbonGroup ID="RibbonGroup15" runat="server" Text="Management" Width="210px" ClientMemberName="_ribbonGroup15" CollapsedWidth="70" ExpandedWidth="190" CollapseSequence="1" CollapsedImageUrl="~/Images/16x16/Management.gif">
						<PlaceHolder>
							<orb:LargeRibbonButton ID="LargeRibbonButton26" runat="server" Text="Services" Width="55px" EnabledImageUrl="../../Images/32x32/Services.gif" ToolTip="Start and stop services" ClientMemberName="_largeRibbonButton26" />
							<orb:ThreeRowLayout ID="ThreeRowLayout3" runat="server">
								<BottomPlaceHolder><orb:SmallRibbonButton ID="SmallRibbonButton9" runat="server" Text="Remote Desktop" Width="125px" EnabledImageUrl="../../Images/16x16/RemoteDesktop.gif" ToolTip="Run applications on another computer" ClientMemberName="_smallRibbonButton9" /></BottomPlaceHolder>
								<TopPlaceHolder><orb:SmallRibbonButton ID="SmallRibbonButton7" runat="server" Text="Scheduled Tasks" Width="125px" EnabledImageUrl="../../Images/16x16/ScheduledTasks.gif" ToolTip="Schedule tasks to run automatically" ClientMemberName="_smallRibbonButton7" /></TopPlaceHolder>
								<CenterPlaceHolder><orb:SmallRibbonButton ID="SmallRibbonButton8" runat="server" Text="Power Options" Width="125px" EnabledImageUrl="../../Images/16x16/PowerOptions.gif" ToolTip="Configure energy-saving options" ClientMemberName="_smallRibbonButton8" /></CenterPlaceHolder>
							</orb:ThreeRowLayout>
						</PlaceHolder>
					</orb:RibbonGroup>
					<orb:RibbonGroup ID="RibbonGroup16" runat="server" Text="General" Width="100px" ClientMemberName="_ribbonGroup16" CollapsedWidth="50" ExpandedWidth="78" CollapseSequence="2" CollapsedImageUrl="~/Images/16x16/Information.gif">
						<PlaceHolder>
							<orb:LargeRibbonButton ID="LargeRibbonButton23" runat="server" Text="Information"
								Width="70px" EnabledImageUrl="../../Images/32x32/Information.gif" ToolTip="View information about your system" ClientMemberName="_largeRibbonButton23" />
						</PlaceHolder>
					</orb:RibbonGroup>
				</radTS:PageView>
				<radTS:PageView ID="PageView6" runat="server" Width="100%">
					<radM:RadMenu ID="MinimizeMenu" runat="server" Flow="Vertical" Skin="Outlook" IsContext="True" ContextMenuElementID="None" OnClientItemClicked="customizeMenuHandler">
						<Items>
							<radM:RadMenuItem ID="RadMenuItem5" runat="server" Text="Minimize the Ribbon" Value="MinimizeRibbon" ImageUrl="~/Images/Misc/Unchecked.gif">
							</radM:RadMenuItem>
						</Items>
					</radM:RadMenu>
					<radM:RadMenu id="SharesMenu" runat="server" Skin="Outlook" ContextMenuElementID="None" IsContext="True" Flow="Vertical">
						<Items>
							<radM:RadMenuItem ID="RadMenuItem6" runat="server" Text="Shares" ImageUrl="~/Images/16x16/Shares.gif">
							</radM:RadMenuItem>
							<radM:RadMenuItem ID="RadMenuItem7" runat="server" Text="Sessions" ImageUrl="~/Images/16x16/Sessions.gif">
							</radM:RadMenuItem>
							<radM:RadMenuItem ID="RadMenuItem8" runat="server" Text="Open Files" ImageUrl="~/Images/16x16/OpenFiles.gif">
							</radM:RadMenuItem>
						</Items>
					</radM:RadMenu><radM:RadMenu id="EventMenu" runat="server" Skin="Outlook" ContextMenuElementID="None" IsContext="True" Flow="Vertical">
						<Items>
							<radM:RadMenuItem ID="RadMenuItem9" runat="server" Text="Application" ImageUrl="~/Images/16x16/ApplicationLog.gif">
							</radM:RadMenuItem>
							<radM:RadMenuItem ID="RadMenuItem10" runat="server" Text="Security" ImageUrl="~/Images/16x16/SecurityLog.gif">
							</radM:RadMenuItem>
							<radM:RadMenuItem ID="RadMenuItem11" runat="server" Text="System" ImageUrl="~/Images/16x16/SystemLog.gif">
							</radM:RadMenuItem>
						</Items>
					</radM:RadMenu>
					<radM:RadMenu id="PerformanceMenu" runat="server" Skin="Outlook" ContextMenuElementID="None" IsContext="True" Flow="Vertical">
						<Items>
							<radM:RadMenuItem ID="RadMenuItem12" runat="server" Text="Counter" ImageUrl="~/Images/16x16/CounterLog.gif">
							</radM:RadMenuItem>
							<radM:RadMenuItem ID="RadMenuItem13" runat="server" Text="Trace" ImageUrl="~/Images/16x16/TraceLog.gif">
							</radM:RadMenuItem>
						</Items>
					</radM:RadMenu>
					<radM:RadMenu id="UserMenu" runat="server" Skin="Outlook" ContextMenuElementID="None" IsContext="True" Flow="Vertical">
						<Items>
							<radM:RadMenuItem ID="RadMenuItem14" runat="server" Text="Local" ImageUrl="~/Images/16x16/UserLocal.gif">
							</radM:RadMenuItem>
							<radM:RadMenuItem ID="RadMenuItem15" runat="server" Text="Domain" ImageUrl="~/Images/16x16/UserDomain.gif">
							</radM:RadMenuItem>
						</Items>
					</radM:RadMenu>
					<radM:RadMenu id="ZoneMenu" runat="server" Skin="Outlook" ContextMenuElementID="None" IsContext="True" Flow="Vertical">
						<Items>
							<radM:RadMenuItem ID="RadMenuItem16" runat="server" Text="Internet" ImageUrl="~/Images/16x16/InternetZone.gif">
							</radM:RadMenuItem>
							<radM:RadMenuItem ID="RadMenuItem17" runat="server" Text="Local Intranet" ImageUrl="~/Images/16x16/IntranetZone.gif">
							</radM:RadMenuItem>
							<radM:RadMenuItem ID="RadMenuItem18" runat="server" Text="Trusted Sites" ImageUrl="~/Images/16x16/TrustedZone.gif">
							</radM:RadMenuItem>
							<radM:RadMenuItem ID="RadMenuItem19" runat="server" Text="Restricted Sites" ImageUrl="~/Images/16x16/RestrictedZone.gif">
							</radM:RadMenuItem>
						</Items>
					</radM:RadMenu>
				</radTS:PageView>
			</radTS:RadMultiPage>
			<div class="pageBackground" style="min-height: 260px;">
				<table>
					<tr>
					<td style="width: 100%;">
						<div class="pageTitle">Computer Management Console</div><p/>
						<div class="plainText">N.B. This is for demonstration purposes only, no functionality 
						behind the Ribbon controls has been implemented.</div>
						<div style="height: 100px;"></div>
						<div>
							<orb:LargeRibbonButton ID="LargeRibbonButton27" runat="server" Text="View Project" AutoPostBack="True" OnClick="LargeRibbonButton27_Click" Width="60px" EnabledImageUrl="../../Images/32x32/ViewExamples.gif" ToolTip="Return to the project home page" ClientMemberName="_largeRibbonButton27" />
							<radW:RadWindowManager ID="RadWindowManager" runat="server" Modal="True" Skin="Office2007">
								<Windows>
									<radW:RadWindow ID="SystemSecurityDialog" runat="server" Behavior="Close, Move" Left=""
										NavigateUrl="ClientMockupSecurityDialog.aspx" SkinsPath="~/RadControls/Window/Skins" Title="System Security Settings" Top="" />
								</Windows>
							</radW:RadWindowManager>
						</div>
					</td>
					<td align="right" valign="top">
						<img id="computerImage" runat="server" src="~/Images/Misc/ComputerManagement.jpg" alt="" style="vertical-align:top; margin-top: 5px; margin-right: 5px;" />
					</td>
					</tr>
				</table>
			</div>
			<div class="applicationMenu" style="left: 7px">
			<radM:RadMenu ID="MainApplicationMenu" runat="server" ClickToOpen="True" EnableScreenBoundaryDetection="False"
				Skin="Office2007" BackColor="Transparent">
				<Items>
					<radM:RadMenuItem ID="RadMenuItem1" runat="server" ExpandedImageUrl="~/Images/Misc/ApplicationMenuActiveKbs.gif"
						ImageClickedUrl="~/Images/Misc/ApplicationMenuActiveKbs.gif" ImageOverUrl="~/Images/Misc/ApplicationMenuHoverKbs.gif"
						ImageUrl="~/Images/Misc/ApplicationMenuKbs.gif" ToolTip="Click here to view actions you can perform on your application">
						<Items>
							<radM:RadMenuItem ID="RadMenuItem2" runat="server" Text="My Computer" ImageUrl="~/Images/32x32/MyComputer.gif">
							</radM:RadMenuItem>
							<radM:RadMenuItem runat="server" Text="Search" ImageUrl="~/Images/32x32/Search.gif">
							</radM:RadMenuItem>
							<radM:RadMenuItem ID="RadMenuItem3" runat="server" IsSeparator="True" BackColor="#E0E0E0" Text="-">
							</radM:RadMenuItem>
							<radM:RadMenuItem ID="RadMenuItem4" runat="server" Text="Log Out" ImageUrl="~/Images/32x32/Logout.gif">
							</radM:RadMenuItem>
						</Items>
					</radM:RadMenuItem>
				</Items>
			</radM:RadMenu>
			</div>	
		</div>
		<orb:RibbonResizingManager runat="server" ID="resizingManager" MinimumRibbonWidth="270" />
		<script type="text/javascript">windowResized();</script>		
    </form>
</body>
</html>
