<%@ Page Language="C#" AutoEventWireup="false"  CodeFile="ServerSimpleAjax.aspx.cs" Inherits="ServerSimpleAjax" %>
<%@ Register Assembly="RadToolbar.Net2" Namespace="Telerik.WebControls" TagPrefix="radTlb" %>
<%@ Register Assembly="RadComboBox.Net2" Namespace="Telerik.WebControls" TagPrefix="radC" %>
<%@ Register Assembly="RadAjax.Net2" Namespace="Telerik.WebControls" TagPrefix="radA" %>
<%@ Register Assembly="RadMenu.Net2" Namespace="Telerik.WebControls" TagPrefix="radM" %>
<%@ Register Assembly="RadTabStrip.Net2" Namespace="Telerik.WebControls" TagPrefix="radTS" %>
<%@ Register Assembly="RussellMason.Web.Application" Namespace="RussellMason.Web.UI.Office2007" TagPrefix="orb" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Server-side examples - AJAX</title>
    <link rel="Stylesheet" type="text/css" href="../../Office2007Client/Css/RibbonBar.css" />
    <script type="text/javascript" src="../../Office2007Client/Scripts/RibbonBar.js"></script>
    <script type="text/javascript" src="../../Office2007Client/Scripts/RibbonPreloader.js"></script>
</head>
<body onload="preloadRibbonImages('../../Office2007Client/Images/');">
    <form id="form1" runat="server">
    <div style="min-width: 540px;">
			<orb:ApplicationBar ID="MainApplicationBar" runat="server" ApplicationName="Test Client" DocumentName="AJAX" GenerateClientMember="True" ClientMemberName="_applicationBar">
				<PlaceHolder>
					<orb:QuickAccessRibbonButton ID="ClickQuickAccessRibbonButton" runat="server"
						DisabledImageUrl="~/Images/16x16/DocumentDisabled.gif" EnabledImageUrl="~/Images/16x16/Document.gif"
						ToolTip="Click this button to demonstate the Click event handler used with AJAX" AutoPostBack="True" OnClick="ClickQuickAccessRibbonButton_Click" ClientMemberName="_quickAccessRibbonButton1" />
					<orb:QuickAccessRibbonButton ID="EnabledQuickAccessRibbonButton" runat="server" DisabledImageUrl="~/Images/16x16/DocumentDisabled.gif" EnabledImageUrl="~/Images/16x16/Document.gif" ToolTip="This button will reflect the Enabled state" ClientMemberName="_enabledQuickAccessRibbonButton" />
					<orb:QuickAccessRibbonButton ID="CheckedQuickAccessRibbonButton" runat="server" DisabledImageUrl="~/Images/16x16/DocumentDisabled.gif" EnabledImageUrl="~/Images/16x16/Document.gif" ToolTip="This button will reflect the Checked state" ClientMemberName="_checkedQuickAccessRibbonButton" />
				</PlaceHolder>
			</orb:ApplicationBar>
			<radTS:RadTabStrip ID="tabStrip" runat="server" Skin="Office2007" style="padding-left:50px;" MultiPageID="RadMultiPage1" SelectedIndex="0">
				<Tabs>
					<radTS:Tab runat="server" Text="Ribbon Tab" PageViewID="PageView1">
					</radTS:Tab>
				</Tabs>
			</radTS:RadTabStrip>
			<radTS:RadMultiPage ID="RadMultiPage1" runat="server" CssClass="ribbonBar" SelectedIndex="0" Width="100%">
				<radTS:PageView ID="PageView1" runat="server" Width="100%" style="min-width: 900px;">
					<orb:RibbonGroup ID="RibbonGroup6" runat="server" Text="Small Ribbon Buttons" Width="210px" GenerateClientMember="True" ClientMemberName="_ribbonGroup6" >
						<PlaceHolder>
							<orb:ThreeRowLayout ID="A" runat="server">
								<TopPlaceHolder><orb:SmallRibbonButton ID="ClickSmallRibbonButton" runat="server" DisabledImageUrl="~/Images/16x16/DocumentDisabled.gif" EnabledImageUrl="~/Images/16x16/Document.gif" Text="Click" Width="80px" ToolTip="Click this button to demonstate the Click event handler used with AJAX" AutoPostBack="True" OnClick="ClickSmallRibbonButton_Click" ClientMemberName="_clickSmallRibbonButton" /></TopPlaceHolder>
							</orb:ThreeRowLayout>
							<orb:RibbonSeparator id="RibbonSeparator3" runat="server"></orb:RibbonSeparator>
							<orb:ThreeRowLayout ID="ThreeRowLayout3" runat="server">
								<TopPlaceHolder><orb:SmallRibbonButton ID="EnabledSmallRibbonButton" runat="server" DisabledImageUrl="~/Images/16x16/DocumentDisabled.gif" EnabledImageUrl="~/Images/16x16/Document.gif" Text="Enabled" Width="80px" ClientMemberName="_enabledSmallRibbonButton" ToolTip="This button will reflect the Enabled state" /></TopPlaceHolder>
								<CenterPlaceHolder><orb:SmallRibbonButton ID="CheckedSmallRibbonButton" runat="server" DisabledImageUrl="~/Images/16x16/DocumentDisabled.gif" EnabledImageUrl="~/Images/16x16/Document.gif" Text="Checked" Width="80px" ClientMemberName="_checkedSmallRibbonButton" ToolTip="This button will reflect the Checked state" /></CenterPlaceHolder>
							</orb:ThreeRowLayout>
						</PlaceHolder>
					</orb:RibbonGroup>
					<orb:RibbonGroup ID="RibbonGroup3" runat="server" Text="Large Ribbon Buttons" Width="224px" ClientMemberName="_ribbonGroup3">
						<PlaceHolder>
							<orb:LargeRibbonButton ID="ClickLargeRibbonButton" runat="server" Width="65px" EnabledImageUrl="~/Images/32x32/Document.gif" Text="Click" ToolTip="Click this button to demonstate the Click event handler used with AJAX" DisabledImageUrl="~/Images/32x32/DocumentDisabled.gif" AutoPostBack="True" OnClick="ClickLargeRibbonButton_Click" ClientMemberName="_clicklargeRibbonButton" />
							<orb:RibbonSeparator ID="RibbonSeparator1" runat="server" />
							<orb:LargeRibbonButton ID="EnabledLargeRibbonButton" runat="server" Width="60px" EnabledImageUrl="~/Images/32x32/Document.gif" Text="Enabled" DisabledImageUrl="~/Images/32x32/DocumentDisabled.gif" ClientMemberName="_enabledLargeRibbonButton" ToolTip="This button will reflect the Enabled state" />
							<orb:LargeRibbonButton ID="CheckedLargeRibbonButton" runat="server" Width="60px" EnabledImageUrl="~/Images/32x32/Document.gif" Text="Checked" DisabledImageUrl="~/Images/32x32/DocumentDisabled.gif" ClientMemberName="_checkedLargeRibbonButton" ToolTip="This button will reflect the Checked state" />
						</PlaceHolder>
					</orb:RibbonGroup>
				</radTS:PageView>
			</radTS:RadMultiPage>
			<div class="pageBackground">
				<div class="pageTitle">Simple AJAX Examples</div>
				<div class="plainText" style="margin-top: 8px;">
				This text box will show the results of events caused from AJAX requests.
				</div>
				<div style="margin-top: 8px;">
				<asp:TextBox runat="server" ID="EventText" Rows="4" TextMode="MultiLine" Width="500px"></asp:TextBox>
				</div>				
				<div class="pageSubTitle" style="margin-top: 16px;">ApplicationBar</div>
				<div class="plainText" style="margin-top: 8px;">
				To change the text in the Application Bar enter some text in the text boxes and click the button.
				The change will be made via an AJAX call.
				</div>
				<div class="plainText" style="margin-top: 8px;">
				<span>Document:&nbsp;</span><asp:TextBox ID="DocumentText" runat="server"></asp:TextBox>
				<span>&nbsp;Application:&nbsp;</span><asp:TextBox ID="ApplicationText" runat="server"></asp:TextBox>
				<asp:Button ID="ApplicationBarButton" runat="server" Text="Set Application Bar Text" OnClick="ApplicationBarButton_Click" />
				</div>
				<div class="pageSubTitle" style="margin-top: 16px;">Button States</div>
				<div class="plainText" style="margin-top: 8px;">
				Click this button to toggle the state of buttons on the Ribbon.
				The change will be made via an AJAX call.
				</div>
				<div style="margin-top: 8px;">
				<asp:Button ID="ButtonStateButton" runat="server" Text="Toggle State" OnClick="ButtonStateButton_Click" />
				</div>
				<div class="pageSubTitle" style="margin-top: 16px;">Miscellaneous</div>
				<div class="plainText" style="margin-top: 8px;">
				By performing a post back you can ensure changes are permanently persisted.
				</div>
				<div style="margin-top: 8px;">
				<asp:Button ID="PostBack" runat="server" Text="Invoke Page PostBack" />
				<p/>
				<asp:Button ID="ReturnToExamples" runat="server" Text="Return To Server-Side Examples" PostBackUrl="~/Examples/ServerSide.aspx" />
				<asp:Button ID="ReturnToProject" runat="server" Text="Return To Project Introduction" PostBackUrl="~/Examples/Default.aspx" />
				</div>
			</div>
			<div class="applicationMenu" style="left: 7px">
			<radM:RadMenu ID="MainApplicationMenu" runat="server" ClickToOpen="True" EnableScreenBoundaryDetection="False"
				Skin="Office2007" BackColor="Transparent">
				<Items>
					<radM:RadMenuItem ID="RadMenuItem1" runat="server" ExpandedImageUrl="~/Office2007Client/Images/ApplicationMenuActive.gif"
						ImageClickedUrl="~/Office2007Client/Images/ApplicationMenuActive.gif" ImageOverUrl="~/Office2007Client/Images/ApplicationMenuHover.gif"
						ImageUrl="~/Office2007Client/Images/ApplicationMenu.gif">
					</radM:RadMenuItem>
				</Items>
			</radM:RadMenu>
			</div>	
		</div>		
    </form>
</body>
</html>
