IF NOT EXISTS (SELECT * FROM dbo.sysobjects WHERE ID = OBJECT_ID(N'WebClientPageState') AND XType = 'U')
BEGIN

PRINT 'Creating Table WebClientPageState'

CREATE TABLE WebClientPageState
(
	Id BIGINT IDENTITY(1, 1) NOT NULL,
	StateKey UNIQUEIDENTIFIER NOT NULL,
	State TEXT NULL,
	DateSaved DATETIME NOT NULL DEFAULT (getdate())
)

CREATE INDEX IX_PageStateStateKey
	ON WebClientPageState(StateKey)

CREATE INDEX IX_PageStateDateSaved
	ON WebClientPageState(DateSaved)
	
END

GO