using System;

namespace RussellMason.Web.UI
{

	#region Enumerations

	/// <summary>
	/// Specifies the different types of state in a Page.
	/// </summary>
	public enum StateType
	{

		/// <summary>
		/// Standard state held between page calls.
		/// </summary>
		ViewState = 0,

		/// <summary>
		/// State held explicitly against a control that cannot be turned off.
		/// </summary>
		ControlState = 1

	}

	#endregion Enumerations

}