using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.Threading;

using Telerik.WebControls;

using RussellMason.Web.UI;
using RussellMason.Web.UI.Office2007;

public partial class ServerRibbonGroup : RibbonPage
{

	protected override void OnLoadComplete(EventArgs e)
	{
		base.OnLoadComplete(e);

		DataTable table = new DataTable();
		table.Columns.Add("Name", typeof(string));
		table.Columns.Add("Position", typeof(string));

		table.Rows.Add("Bob Smith", "Administrator");
		table.Rows.Add("Mike Jones", "Manager");
		table.Rows.Add("Tom Hall", "Manager");
		table.Rows.Add("Peter Bell", "User");
		table.Rows.Add("Mary Shaw", "User");

		RadGrid1.DataSource = table;
		RadGrid1.DataBind();
	}

	protected void SetTextButton_Click(object sender, EventArgs e)
	{
		this.RibbonGroupWithDialogLauncher.Text = this.GroupText.Text;
	}

	protected void RibbonGroupWithDialogLauncher_DialogLauncherClick(object sender, EventArgs e)
	{
		this.EventText.Text += "Ribbon Goup Dialog Launcher server-side click event" + Environment.NewLine;
	}

}
